
// S.E.R.G.E.Y A.I MK 5 Program
//By Paglia Industries
//7/20/20

#include <MOVIShield.h>
#include <PololuMaestro.h>
//Pins where positive wire of LED connects. (4=Chest Armour Led 7=Eye LED 8=Shield LED)
int led1=4;
int led2=7;
int led3=8;

//Connect Maestro Pin RX to Pin 11 of Ardunio 
//Conect Maestro pin TX to Pin 10 of Arduino
#ifdef SERIAL_PORT_HARDWARE_OPEN
  #define maestroSerial SERIAL_PORT_HARDWARE_OPEN
#else
  #include <SoftwareSerial.h>
  SoftwareSerial maestroSerial(10, 11);
#endif

MicroMaestro maestro(maestroSerial);

MOVI recognizer (true);  //Get a MOVI object, true enables serial monitor interface, rx and tx for alternate communication pins on AVR architecture boards

void setup() 
{

  maestroSerial.begin(9600);
  
  //Define LED pins as outputs
  pinMode(led1, OUTPUT);
  pinMode(led2, OUTPUT);
  pinMode(led3, OUTPUT);

  recognizer.init();
  recognizer.callSign(F("Sergey")); //Train callsign (may take 20 seconds)
  recognizer.addSentence(F("Activate display mode")); //1 (Turns on lights)
  recognizer.addSentence(F("Activate stealth mode")); //2 (Turns off lights)
  recognizer.addSentence(F("Shutdown")); //3 (Turn off all LEDs and puts servos to rest position) 
  recognizer.addSentence(F("At ease")); //4 (Servos go to home postion but LEDs stay on)
  recognizer.addSentence(F("Activate Shield")); //5 (Turns on LED for Riot Shield)
  recognizer.addSentence(F("Pose")); //6 (SERGEY strikes a pose)
  recognizer.addSentence(F("Defensive Mode")); //7 (Shield Strobes)  
  recognizer.train(); 

}

void loop() {
  int res = recognizer.poll();

  if (res == 1) {
    recognizer.say("Display mode activated");
    digitalWrite(led1, HIGH); //Turns on LED connected to pin 4
    digitalWrite(led2, HIGH); //Turns on LED connected to pin 7
        recognizer.ask();
  }
  if (res == 2) {
    recognizer.say("Stealth mode activated");
    //Turns off all LEDs
    digitalWrite(led1, LOW); //Turns off LED connected to pin 4
    digitalWrite(led2, LOW); //Turns off LED connected to pin 7
    digitalWrite(led3, LOW); //Turns off LED connected to pin 8 
  }
  if (res == 3) {
    recognizer.say("Deactivating");
    //Turns off all LEDs
    digitalWrite(led1, LOW); //Turns off LED connected to pin 4
    digitalWrite(led2, LOW); //Turns off LED connected to pin 7
    digitalWrite(led3, LOW); //Turns off LED connected to pin 8
  }
  if (res ==4) {
    recognizer.say("Yes, commander");
     //Turns off all LEDs
    digitalWrite(led1,HIGH); //Turns on LED connected to pin 4
    digitalWrite(led2, HIGH); //Turns on LED connected to pin 7
    digitalWrite(led3, HIGH); //Turns on LED connected to pin 8
  }
  if (res ==5) {
    recognizer.say("Sheild activated");
     digitalWrite(led3, HIGH); //Turns on Shield LED
  }
  if (res ==6) {
    recognizer.say("Pose initiated");
      
      maestro.restartScript(0);
  delay(4000);

  // Stop the running script.
  maestro.stopScript();
  }
  if (res ==7) {
    recognizer.say("Get Back! Get Back!");
     digitalWrite(led3, HIGH); //Turns on Shield LED
  }
}
